org.springframework.context

## Interface ApplicationEventPublisher

- All Known Subinterfaces:
    ApplicationContext, ConfigurableApplicationContext, ConfigurablePortletApplicationContext, ConfigurableWebApplicationContext, WebApplicationContext
  All Known Implementing Classes:
    AbstractApplicationContext, AbstractRefreshableApplicationContext, AbstractRefreshableConfigApplicationContext, AbstractRefreshablePortletApplicationContext, AbstractRefreshableWebApplicationContext, AbstractXmlApplicationContext, AnnotationConfigApplicationContext, AnnotationConfigWebApplicationContext, ClassPathXmlApplicationContext, FileSystemXmlApplicationContext, GenericApplicationContext, GenericWebApplicationContext, GenericXmlApplicationContext, ResourceAdapterApplicationContext, StaticApplicationContext, StaticPortletApplicationContext, StaticWebApplicationContext, XmlPortletApplicationContext, XmlWebApplicationContext

      public interface ApplicationEventPublisher

  Interface that encapsulates event publication functionality. Serves as super-interface for ApplicationContext.
  Since:
    1.1.1
  Author:
    Juergen Hoeller
  See Also:
    `ApplicationContext`, `ApplicationEventPublisherAware`, `ApplicationEvent`, `EventPublicationInterceptor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `publishEvent(ApplicationEvent event)` Notify all listeners registered with this application of an application event.

- - ### Method Detail

    - #### publishEvent

          void publishEvent(ApplicationEvent event)

      Notify all listeners registered with this application of an application event. Events may be framework events (such as RequestHandledEvent) or application-specific events.
      Parameters:
        `event` - the event to publish
      See Also:
        `RequestHandledEvent`